package com.steerinfo.ems.trmworkproc.model;

import com.steerinfo.ems.Utils.TreePO;
import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class TRmWorkproc implements IBasePO<String>, TreePO<String, String, TRmWorkproc> {
    /**
     * 工序代码(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="工序代码",required=false)
    private String id;

    /**
     * 名称(NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="名称",required=true)
    private String name;

    /**
     * 状态(STATUS,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String status;

    /**
     * 上层节点(PARENTID,VARCHAR,40)
     */
    @ApiModelProperty(value="上层节点",required=true)
    private String parentid;

    /**
     * 级别(NODE,VARCHAR,4)
     */
    @ApiModelProperty(value="级别",required=true)
    private String node;

    /**
     * 英文名(ENAME,VARCHAR,60)
     */
    @ApiModelProperty(value="英文名",required=true)
    private String ename;

    /**
     * 别名(ALIASNAME,VARCHAR,60)
     */
    @ApiModelProperty(value="别名",required=true)
    private String aliasname;

    /**
     * 顺序(SEQNO,DECIMAL,10)
     */
    @ApiModelProperty(value="顺序",required=true)
    private Long seqno;

    /**
     * 实绩工序(ISREAL,VARCHAR,1)
     */
    @ApiModelProperty(value="实绩工序",required=true)
    private String isreal;

    /**
     * 计划工序(ISPLAN,VARCHAR,1)
     */
    @ApiModelProperty(value="计划工序",required=true)
    private String isplan;

    /**
     * 平衡表工序(ISBALANCE,VARCHAR,1)
     */
    @ApiModelProperty(value="平衡表工序",required=true)
    private String isbalance;

    /**
     * 是否产出(HASPRODUCT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否产出",required=true)
    private String hasproduct;

    /**
     * 备用代码(BCODE,VARCHAR,40)
     */
    @ApiModelProperty(value="备用代码(MES代码)",required=true)
    private String bcode;

    /**
     * 备用代码1(BDESC1,VARCHAR,60)
     */
    @ApiModelProperty(value="备用代码1",required=true)
    private String bdesc1;

    /**
     * 备用代码2(BDESC2,VARCHAR,100)
     */
    @ApiModelProperty(value="备用代码2",required=true)
    private String bdesc2;

    /**
     * 外供电工序(ISSETTLE,VARCHAR,1)
     */
    @ApiModelProperty(value="外供电工序",required=true)
    private String issettle;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    private List<TRmWorkproc> Children;

    @Override
    public List<TRmWorkproc> getChildren() {
        return Children;
    }

    @Override
    public void setChildren(List<TRmWorkproc> children) {
        this.Children = children;
    }

    @Override
    public String getCode(){return id;}

    @Override
    public void  setCode(String id){this.id = id == null ? null : id.trim();}

    @Override
    public String getParentId(){return parentid;}

    @Override
    public void  setParentId(String parentid){this.parentid = parentid == null ? null : parentid.trim();}

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid == null ? null : parentid.trim();
    }

    public String getNode() {
        return node;
    }

    public void setNode(String node) {
        this.node = node == null ? null : node.trim();
    }

    public String getEname() {
        return ename;
    }

    public void setEname(String ename) {
        this.ename = ename == null ? null : ename.trim();
    }

    public String getAliasname() {
        return aliasname;
    }

    public void setAliasname(String aliasname) {
        this.aliasname = aliasname == null ? null : aliasname.trim();
    }

    public Long getSeqno() {
        return seqno;
    }

    public void setSeqno(Long seqno) {
        this.seqno = seqno;
    }

    public String getIsreal() {
        return isreal;
    }

    public void setIsreal(String isreal) {
        this.isreal = isreal == null ? null : isreal.trim();
    }

    public String getIsplan() {
        return isplan;
    }

    public void setIsplan(String isplan) {
        this.isplan = isplan == null ? null : isplan.trim();
    }

    public String getIsbalance() {
        return isbalance;
    }

    public void setIsbalance(String isbalance) {
        this.isbalance = isbalance == null ? null : isbalance.trim();
    }

    public String getHasproduct() {
        return hasproduct;
    }

    public void setHasproduct(String hasproduct) {
        this.hasproduct = hasproduct == null ? null : hasproduct.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getBdesc1() {
        return bdesc1;
    }

    public void setBdesc1(String bdesc1) {
        this.bdesc1 = bdesc1 == null ? null : bdesc1.trim();
    }

    public String getBdesc2() {
        return bdesc2;
    }

    public void setBdesc2(String bdesc2) {
        this.bdesc2 = bdesc2 == null ? null : bdesc2.trim();
    }

    public String getIssettle() {
        return issettle;
    }

    public void setIssettle(String issettle) {
        this.issettle = issettle == null ? null : issettle.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", status=").append(status);
        sb.append(", parentid=").append(parentid);
        sb.append(", node=").append(node);
        sb.append(", ename=").append(ename);
        sb.append(", aliasname=").append(aliasname);
        sb.append(", seqno=").append(seqno);
        sb.append(", isreal=").append(isreal);
        sb.append(", isplan=").append(isplan);
        sb.append(", isbalance=").append(isbalance);
        sb.append(", hasproduct=").append(hasproduct);
        sb.append(", bcode=").append(bcode);
        sb.append(", bdesc1=").append(bdesc1);
        sb.append(", bdesc2=").append(bdesc2);
        sb.append(", issettle=").append(issettle);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}